#ifndef PLOG_TXT_FORMATTER_H
#define PLOG_TXT_FORMATTER_H

#include "plog/formatter.h"
#include <string>

namespace plog
{

    class txt_formatter : public formatter
    {
    public:
        const char* header() const;
        size_t header_size() const;

        size_t format(const message& msg, char* buffer, size_t buffer_size) const;
    };
}

#endif // PLOG_TXT_FORMATTER_H