#include "plog/appender.h"

namespace plog
{

//////////////////////////////////////////////////////////////////////////

appender::appender(log_level min_severity)
: min_severity_(min_severity)
{
}

appender::~appender()
{
}

void appender::write(const void*, size_t)
{
}

void appender::set_level(log_level min_severity)
{
    min_severity_ = min_severity;
}

log_level appender::get_level() const
{
    return min_severity_;
}

bool appender::newly_created()
{
    return false;
}

} //namespace